
# react-native-vtvcab-drm-player

## Getting started

`$ npm install react-native-vtvcab-drm-player --save`

### Mostly automatic installation

`$ react-native link react-native-vtvcab-drm-player`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-vtvcab-drm-player` and add `RNVtvcabDrmPlayer.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNVtvcabDrmPlayer.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.phongnguyen93.rn.RNVtvcabDrmPlayerPackage;` to the imports at the top of the file
  - Add `new RNVtvcabDrmPlayerPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-vtvcab-drm-player'
  	project(':react-native-vtvcab-drm-player').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-vtvcab-drm-player/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-vtvcab-drm-player')
  	```


## Usage
```javascript
import RNVtvcabDrmPlayer from 'react-native-vtvcab-drm-player';

// TODO: What to do with the module?
RNVtvcabDrmPlayer;
```
  